%define _requires_exceptions \
libodbcinst.so \
libodbc.so
%define sname ij144-linux64

%define name ImageJ
%define version 1.44
%define release %mkrel 1

Summary: Image Processing and Analysis in Java
Summary(de): Bildverarbeitung und Analyse in Java
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group:   Graphics
URL: http://rsbweb.nih.gov/ij/index.html
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
Source: %{sname}.tar.xz
Requires: java
BuildArch: noarch 
Obsoletes: %name < %version


%description 
ImageJ is a public domain, Java-based image processing program developed 
at the National Institutes of Health. ImageJ was designed with an open 
architecture that provides extensibility via Java plugins and recordable
macros. Custom acquisition, analysis and processing plugins can be developed
using ImageJ's built-in editor and a Java compiler. ImageJ can be run as an
online applet, a downloadable application, or on any computer with a Java 1.4
or later virtual machine.

%description -l de
Image J bringt alle notwendigen Bildbearbeitungsmöglichkeiten mit und
kann mehrere Bilder gleichzeitig anzeigen. Das Programm unterstützt
8- 16- und 32-Bit Grauwertbilder und 8- bis32-Bit Farbbilder.

Image J kann mit Plugins erweitert werden.

%prep

%setup -q -n %{name}

%install
export DONT_STRIP=1
rm -rf %{buildroot}

#data
install -dm 755 %{buildroot}%{_libdir}/%{name}
cp -af * %{buildroot}%{_libdir}/%{name}


# launcher
mkdir -p %buildroot/%_bindir
cat > %buildroot/%_bindir/%{name} << EOF
#!/bin/sh
cd %{_libdir}/%{name}
./run
cd /
EOF
chmod +x %{buildroot}%{_bindir}/%{name}


#menu
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=ImageJ
Comment=Image Processing and Analysis in Java
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Graphics;X-MandrivaLinux-MoreApplications-Sciences-ImageProcessing
EOF

#icon
install -dm 755 %{buildroot}%{_datadir}/pixmaps
convert -scale 48 %{name}.png %{buildroot}%{_datadir}/pixmaps/%{name}.png

%post
chmod 777 %{_libdir}/ImageJ/ij.jar
%update_menus

%postun
%update_menus

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_libdir}/%{name}
%{_datadir}/pixmaps/%{name}.png


%changelog
* Sat Oct 11 2011 Archie <pclinuxos.ph at gmail.com> 1.44-1_archie_2011
- Updated to 1.44
- Rebuild for x86_64

* Mon Nov 09 2009 slick50 <lxgator@gmail.com> 1.42-1pclos2010
- initial build 
